# cjvt-valency
Required submodules:

* `https://gitea.cjvt.si/kristjan/cjvt-corpusparser.git`

```bash
$ git submodule init
```

## Components


### Database (2 containers)
Spin up the database service and create users:
```bash
# $ make database-clean  # opt
$ make database-service
$ make database-users
```

Populate the database with data form files:  

* ssj500k.xml
* kres.xml
* kres_SRL.json

Set path to files in `Makefile`.  
```bash
# spin up a container with python env
$ make python-env

# install our packages
$ make python-env-install

# run the code
$ make fill_database
```

If all goes well, we should be able to inspect the database on `0.0.0.0:8087`.  


### Flask backend (1 container)
Input: see Database

API endpoints:

* GET word list (pre-cached)
* GET reduced frames (pre-cached)
* POST senses
* User auth logic


### Vue frontend (1 container)

* ngnix server


## Deployment

Preflight:
* get up DB
* prepare DB

Flight:
* start backend
* start frontend

